CRAN Package Check Results for Package Bclim

Last updated on 2018-08-21 16:50:15 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 3.1.2 4.09 21.28 25.37 NOTE --no-vignettes
r-devel-linux-x86_64-debian-gcc 3.1.2 3.22 16.76 19.98 NOTE --no-vignettes
r-devel-linux-x86_64-fedora-clang 3.1.2 30.70 NOTE --no-vignettes
r-devel-linux-x86_64-fedora-gcc 3.1.2 28.63 NOTE --no-vignettes
r-devel-windows-ix86+x86_64 3.1.2 12.00 60.00 72.00 NOTE --no-vignettes
r-patched-linux-x86_64 3.1.2 3.45 19.77 23.22 NOTE --no-vignettes
r-patched-solaris-x86 3.1.2 1955.70 WARN
r-release-linux-x86_64 3.1.2 3.57 19.60 23.17 NOTE --no-vignettes
r-release-windows-ix86+x86_64 3.1.2 13.00 36.00 49.00 NOTE --no-vignettes
r-release-osx-x86_64 3.1.2 NOTE
r-oldrel-windows-ix86+x86_64 3.1.2 9.00 41.00 50.00 NOTE --no-vignettes
r-oldrel-osx-x86_64 3.1.2 NOTE

Check Details

Version: 3.1.2
Flags: --no-vignettes
Check: compiled code
Result: NOTE
    File ‘Bclim/libs/Bclim.so’:
     Found no calls to: ‘R_registerRoutines’, ‘R_useDynamicSymbols’
    
    It is good practice to register native routines and to disable symbol
    search.
    
    See ‘Writing portable packages’ in the ‘Writing R Extensions’ manual.
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-patched-linux-x86_64, r-release-linux-x86_64

Version: 3.1.2
Flags: --no-vignettes
Check: dependencies in R code
Result: NOTE
    Namespace in Imports field not imported from: ‘ggplot2’
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc

Version: 3.1.2
Flags: --no-vignettes
Check: DESCRIPTION meta-information
Result: NOTE
    NeedsCompilation field should likely be 'yes'
Flavors: r-devel-windows-ix86+x86_64, r-release-windows-ix86+x86_64, r-oldrel-windows-ix86+x86_64

Version: 3.1.2
Check: dependencies in R code
Result: NOTE
    Namespace in Imports field not imported from: ‘ggplot2’
     All declared Imports should be used.
Flavors: r-patched-solaris-x86, r-release-osx-x86_64, r-oldrel-osx-x86_64

Version: 3.1.2
Check: re-building of vignette outputs
Result: WARN
    Error in re-building vignettes:
     ...
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     The vignette engine knitr::rmarkdown is not available, because the rmarkdown package is not installed. Please install it.
    Warning in predictExtrapUp(alpha, lambda, beta, predictPositionsRescaled[depthIndRange], :
     Unable to find suitable chronologies for top of core - truncated to date of extraction
    Warning in predictExtrapUp(alpha, lambda, beta, predictPositionsRescaled[depthIndRange], :
     Unable to find suitable chronologies for top of core - truncated to date of extraction
    Warning in predictExtrapUp(alpha, lambda, beta, predictPositionsRescaled[depthIndRange], :
     Unable to find suitable chronologies for top of core - truncated to date of extraction
    Warning in predictExtrapUp(alpha, lambda, beta, predictPositionsRescaled[depthIndRange], :
     Unable to find suitable chronologies for top of core - truncated to date of extraction
Flavor: r-patched-solaris-x86